From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 6 May 2012<P>

Em Hatemore, about <a href="/blend/wv.cgi?id=2012.05.05.14.59.4361">Another Oldie</a>: Hmm... I can relate... i love the thoughts that you put into this. =)
<HR>
From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 6 May 2012<P>

musicalduck, about <a href="/blend/wv.cgi?id=2012.05.01.23.28.5807"><i>Untitled</i></a>: short but right to the spot.  =) love it!
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 6 May 2012<P>

Annski808 it was so rhyme-y! I was a forced rhymer then. <BR>
<BR>
Just L I love clicking on people's poems and scrolling down and picking one to enjoy!
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 6 May 2012<P>

Star of David, about <a href="/blend/wv.cgi?id=2012.05.01.06.18.18918">Come what may</a>:<BR>
<BR>
Indeed they do not!
<HR>